﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace TetConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            ROS.Smtp.SmtpServer smtp = new ROS.Smtp.SmtpServer(System.Net.IPAddress.Parse("127.0.0.1"), 25);

            smtp.ChangeStateMessage += new ROS.Base.ChangeStateMessageHandler(smtp_ChangeStateMessage);
            smtp.ReceiveCompleted += new ROS.Smtp.SmtpConversationUnit.ReceiveCompletedHandler(smtp_ReceiveCompleted);

            smtp.Start();

            Console.Read();

            smtp.Abort();


        }

        static void smtp_ReceiveCompleted(object sender, ROS.Smtp.ReceiveCompletedEventArgs e)
        {
            Console.Write("From:{0}\r\nTo:{1}\r\n{2}\r\n", e.Data.FromAddress, String.Join(",", e.Data.ToAddresses), e.Data.Data);
        }

        static void smtp_ChangeStateMessage(object source, ROS.Base.ChangeStateMessageEventArgs e)
        {
            Console.WriteLine(e.Message);
        }
    }
}
